### 3.26 `iswupper`, `iswupper_l`—uppercase wide character test

Synopsis

         #include <wctype.h>
         int iswupper(wint_t c);

         #include <wctype.h>
         int iswupper_l(wint_t c, locale_t locale);

Description
`iswupper` is a function which classifies wide-character values that have uppercase translations.

`iswupper_l` is like `iswupper` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswupper`, `iswupper_l` return non-zero if c is a uppercase wide character.

Portability
`iswupper` is C99. `iswupper_l` is POSIX-1.2008.

No supporting OS subroutines are required.